Metaproperty

Metaproperties - New API (Preferred)

Retrieve metaproperties

Returns a paginated list of metaproperties.

get
https://{your-bynder-domain}/api/1/taxonomy/metaproperties

Query Parameters

limitinteger(int32)

Default:20

<= 1000

Example:250

pageinteger(int32)

Default:1

Example:1

idsarray[string](uuid)
metapropertyTypesarray[string]

Allowed values:single-selectmulti-selectdatetext

autocompleteboolean

Response

200 application/json

PaginatedMetapropertiesResponse

metadataobjectrequired
Show Child Parameters
metapropertiesarray[object]
Show Child Parameters
get/api/1/taxonomy/metaproperties
 
200 application/json

Create metaproperty

Create a new metaproperty

post
https://{your-bynder-domain}/api/1/taxonomy/metaproperties

Body

application/json

MetapropertyInput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
metapropertyTypestringrequired

Allowed values:single-selectmulti-selectdatetext

namestringrequired

Response

application/json

MetapropertyCreateOutput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
idstring(uuid)
metapropertyTypestring

Allowed values:single-selectmulti-selectdatetext

namestring
statusstring
post/api/1/taxonomy/metaproperties

Body

{ "metapropertyType": "single-select", "name": "name" }
 
application/json

Delete metaproperty

Delete a metaproperty by id

delete
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

MetapropertyDeletedOutput

messagestringrequired
delete/api/1/taxonomy/metaproperties/{metapropertyId}
 
application/json

Retrieve Metaproperty

Retrieve a single metaproperty by its id

get
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

Metaproperty

allowDuplicatesbooleanrequired
autocompletebooleanrequired
createDuringApplybooleanrequired
definitionstring
idstringrequired
metapropertyTypestringrequired

Allowed values:single-selectmulti-selectdatetext

namestringrequired
get/api/1/taxonomy/metaproperties/{metapropertyId}
 
application/json